/* =================================================================================== */
/* =================================================================================== */
/* wk-seccion-tienda: clase usada para todos las secciones del themebuilder archivos tienda y productos */
/* =================================================================================== */
/* =================================================================================== */

.wk-seccion-tienda {
    --wk-seccion-tienda1-fondo: #070811;
    --wk-seccion-tienda1-titulo: #ffffff;
    --wk-seccion-tienda1-texto: #eaeaea;
    --wk-seccion-tienda1-texto-b: #D4A52E;
    --wk-seccion-tienda1-texto-c: #dddddd;
    
    --wk-seccion-tienda1-enlace: #E8B431;
    --wk-seccion-tienda1-enlace-over: #D4A52E;
  
    --wk-seccion-tienda1-boton-fondo: #27231B;
    --wk-seccion-tienda1-boton-fondo-over: #E8B431;
    --wk-seccion-tienda1-boton-texto: #E8B431;
    --wk-seccion-tienda1-boton-texto-over: #111111;
    --wk-seccion-tienda1-boton-borde: #E8B431;
    --wk-seccion-tienda1-boton-borde-over: #E8B431;
    --wk-seccion-tienda1-boton-border-radius: 10px;

    /* que sea muy parecido al fondo 1 */
    --wk-seccion-tienda2-fondo: #111111;

    --wk-seccion-tienda-producto-listado-padding: 0.5rem;

    background-color: var(--wk-seccion-tienda1-fondo) !important;
    color: var(--wk-seccion-tienda1-texto) !important;
}

.wk-seccion-tienda h1,
.wk-seccion-tienda h2,
.wk-seccion-tienda h3,
.wk-seccion-tienda h4,
.wk-seccion-tienda h5,
.wk-seccion-tienda h6
{
   color: var(--wk-seccion-tienda1-titulo) !important;
}

.wk-seccion-tienda table th {
     color: var(--wk-seccion-tienda1-texto) !important;
}

.wk-seccion-tienda table td {
     color: var(--wk-seccion-tienda1-texto-b) !important;
}

.wk-seccion-tienda a {
    color: var(--wk-seccion-tienda1-enlace) !important;
}

.wk-seccion-tienda a:hover {
    color: var(--wk-seccion-tienda1-enlace-over) !important;
}

.wk-seccion-tienda .woocommerce-info,
.wk-seccion-tienda .woocommerce-message {
    background-color: var(--wk-seccion-tienda2-fondo) !important;
    color: var(--wk-seccion-tienda1-texto) !important;
}

/* texto migas de pan */
.wk-seccion-tienda .woocommerce-breadcrumb {
    color: var(--wk-seccion-tienda1-texto) !important;    
}

/* iconos filtros */
.wk-seccion-tienda .wpc-open-icon {
    border-left-color: var(--wk-seccion-tienda1-texto) !important;
    border-top-color: var(--wk-seccion-tienda1-texto) !important;
}

.wk-seccion-tienda i.wpc-toggle-children-list:after, 
.wk-seccion-tienda i.wpc-toggle-children-list:before {
    background-color: var(--wk-seccion-tienda1-texto) !important;
}

/* barra filtros precio */
.wk-seccion-tienda .wpc-filters-range-inputs .ui-slider-horizontal .ui-slider-range {
    background-color: var(--wk-seccion-tienda1-enlace) !important;
}

/* botones por defecto */
.wk-seccion-tienda .button {
    font-size: 0.9rem !important;
    padding: 0.3rem 0.7rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;    
    color: var(--wk-seccion-tienda1-boton-texto) !important;    
    border-color: var(--wk-seccion-tienda1-boton-borde) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
    border-width: 1px !important;
    border-style: solid !important;
}

.wk-seccion-tienda .button:hover {
    font-size: 0.9rem !important;
    padding: 0.3rem 0.7rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;    
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;    
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
    border-width: 1px !important;
    border-style: solid !important;
}

.wk-seccion-tienda .button::after {
    content: none !important;
}

/* =================================================================================== */
/* =================================================================================== */
/* wk-tienda-modulo-productos: clase usada para todos los módulos con listado de productos */
/* =================================================================================== */
/* =================================================================================== */

.wk-tienda-modulo-productos .woocommerce-result-count {
    color: var(--wk-seccion-tienda1-texto) !important;
}

.wk-tienda-modulo-productos ul.products li.product {
    text-align: center !important;
    background-color: #121317 !important;
    border: 1px solid #aaaaaa !important;
    border-radius: 10px !important;
    overflow: hidden !important;
    padding-bottom: 1rem !important;
}

.wk-tienda-modulo-productos ul.products li.product:hover {
    border: 1px solid #E8B431 !important;
}

/* 1. CONTENEDOR: Márgenes negativos para compensar el hueco */
.wk-tienda-modulo-productos .woocommerce ul.products {
    display: flex !important;
    flex-wrap: wrap !important;
    margin: 0 -10px !important; /* Negativo para compensar los márgenes de los li */
    width: auto !important;     /* Aseguramos que el contenedor se ajuste */
}

/* 2. PRODUCTO: Márgenes para crear el gap, SIN padding interno */
.wk-tienda-modulo-productos .woocommerce ul.products li.product {
    float: none !important;
    clear: none !important;
    margin: 0 10px 20px 10px !important; /* 10px a los lados crea el gap de 20px total */
    box-sizing: border-box !important;
}

/* 3. ESCRITORIO: 4 COLUMNAS (Calc resta el total del margen: 20px) */
@media (min-width: 981px) {
    .wk-tienda-modulo-productos .woocommerce ul.products li.product {
        width: calc(25% - 20px) !important;
    }
}

/* 4. TABLET: 2 COLUMNAS */
@media (min-width: 768px) and (max-width: 980px) {
    .wk-tienda-modulo-productos .woocommerce ul.products li.product {
        width: calc(50% - 20px) !important;
    }
}

/* 5. MÓVIL: 1 COLUMNA */
@media (max-width: 767px) {
    .wk-tienda-modulo-productos .woocommerce ul.products li.product {
        width: calc(100% - 20px) !important;
    }
}

/* icono sobre imagen */
.wk-tienda-modulo-productos .et_shop_image .et_overlay::before {
    color: var(--wk-seccion-tienda1-boton-fondo) !important;    
}

/* insignia en oferta */
.et-db #et-boc .et-l .wk-tienda-modulo-productos .woocommerce ul.products li.product .onsale, 
.wk-tienda-modulo-productos ul.products li.product .onsale {
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;
    color: var(--wk-seccion-tienda1-boton-texto) !important;
}

/* nombre producto h2 */
.wk-tienda-modulo-productos h2.woocommerce-loop-product__title {
    color: var(--wk-seccion-tienda1-titulo) !important;
    font-size: 1.2rem !important;
    padding-left: var(--wk-seccion-tienda-producto-listado-padding) !important;
    padding-right: var(--wk-seccion-tienda-producto-listado-padding) !important;
}

/* contenedor precio simbolos interiores   */
.wk-tienda-modulo-productos ul.products li.product span.price {
    color: var(--wk-seccion-tienda1-texto) !important;
    padding-left: var(--wk-seccion-tienda-producto-listado-padding) !important;
    padding-right: var(--wk-seccion-tienda-producto-listado-padding) !important;
}

/* precio  */
.wk-tienda-modulo-productos span.price span.woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

/* precio antiguo */
.wk-tienda-modulo-productos span.price del .woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-c) !important;
}

/* precio nuevo */
.wk-tienda-modulo-productos span.price ins .woocommerce-Price-amount {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

/* descripcion */
.wk-tienda-modulo-productos .wk-item-short-description {
    color: var(--wk-seccion-tienda1-texto) !important;
    padding-left: var(--wk-seccion-tienda-producto-listado-padding) !important;
    padding-right: var(--wk-seccion-tienda-producto-listado-padding) !important;
}

/* boton añadir carrito */
.wk-tienda-modulo-productos .woocommerce ul.products li.product a.button {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;    
    width: calc(100% - 2rem) !important;
    margin: 1rem auto 0 auto !important;
    box-sizing: border-box !important;
}

.wk-tienda-modulo-productos .wk-btn-icon-carrito {
    margin-top: 5px;
    margin-right: 10px;
}

.wk-tienda-modulo-productos .added_to_cart {
    display: block !important;
    padding: 0.5rem !important;
}

/* paginación ul */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers {
    border: 0 !important;
}

/* paginación li */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li {
    border: 0 !important;
    border-radius: 50%;
}

/* paginación over */
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li a:hover {
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;    
    color: var(--wk-seccion-tienda1-boton-texto) !important;    
}

/* paginación actual*/
.wk-tienda-modulo-productos .woocommerce-pagination .page-numbers li span.current {
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;    
    color: var(--wk-seccion-tienda1-boton-texto) !important;    
}

/* =================================================================================== */
/* =================================================================================== */
/* FICHA DE PRODUCTO */
/* =================================================================================== */
/* =================================================================================== */

/* insignia en oferta */
#wk-tienda-ficha-producto .onsale {
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;
    color: var(--wk-seccion-tienda1-boton-texto) !important;
}

/* nombre producto */
#wk-tienda-ficha-producto .et_pb_wc_title h1 {
    color: var(--wk-seccion-tienda1-titulo) !important;
}

/* precio antiguo */
#wk-tienda-ficha-producto .price del {
    color: var(--wk-seccion-tienda1-texto-c) !important;
}

/* precio nuevo */
#wk-tienda-ficha-producto .price ins {
    color: var(--wk-seccion-tienda1-texto-b) !important;
}

#wk-tienda-ficha-producto table.variations td span::after {
    display: none !important;
}

/* producto meta */
#wk-tienda-ficha-producto .product_meta {
    color: var(--wk-seccion-tienda1-texto-b) !important;      
}

#wk-tienda-ficha-producto .product_meta .sku_wrapper {
    display: none !important;      
}

/* pestañas */
#wk-tienda-ficha-producto .woocommerce-tabs {
    border: 0 !important;
}

#wk-tienda-ficha-producto .woocommerce-tabs p {
    padding-bottom: 1em !important;
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs {
    background-color: var(--wk-seccion-tienda1-fondo) !important;    
    border-top: 0;
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs:before {
    border-bottom-color: var(--wk-seccion-tienda2-fondo) !important; 
}

@media (max-width: 767px) {
    #wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li {
        border-bottom-color: var(--wk-seccion-tienda2-fondo) !important; 
    }
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li {
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;  
    margin: 0 !important; 
    border: 0;  
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li a {
    color: var(--wk-seccion-tienda1-boton-texto) !important;  
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li.active {
    background-color: var(--wk-seccion-tienda1-fondo) !important;  
    color: var(--wk-seccion-tienda1-titulo) !important;  
    z-index: 0 !important;
}

#wk-tienda-ficha-producto .woocommerce-tabs ul.wc-tabs li.active a {
    color: var(--wk-seccion-tienda1-texto) !important;  
}

/* boton enviar reseña */
#wk-tienda-ficha-producto #review_form #respond input#submit {
    font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo) !important;    
    color: var(--wk-seccion-tienda1-boton-texto) !important;    
    border-color: var(--wk-seccion-tienda1-boton-borde) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
}

#wk-tienda-ficha-producto #review_form #respond input#submit:hover {
    font-size: 1rem !important;
    padding: 0.5rem 1rem !important;
    background-color: var(--wk-seccion-tienda1-boton-fondo-over) !important;    
    color: var(--wk-seccion-tienda1-boton-texto-over) !important;    
    border-color: var(--wk-seccion-tienda1-boton-borde-over) !important;
    border-radius: var(--wk-seccion-tienda1-boton-border-radius) !important;
}

/* =================================================================================== */
/* =================================================================================== */
/* PAGINA CARRITO */
/* =================================================================================== */
/* =================================================================================== */

#wk-pagina-carrito .coupon-error-notice {
    color: var(--wk-seccion-tienda1-texto) !important; 
}

#wk-pagina-carrito .woocommerce-cart-form__contents {
    border-color: var(--wk-seccion-tienda2-fondo) !important; 
}

#wk-pagina-carrito .cart_totals table {
    border-color: var(--wk-seccion-tienda2-fondo) !important; 
} 

#wk-pagina-carrito .cart_totals table .order-total th, 
#wk-pagina-carrito .cart_totals table .order-total td {
    border-top-color: var(--wk-seccion-tienda2-fondo) !important;   
} 

/* =================================================================================== */
/* =================================================================================== */
/* PAGINA CHECKOUT */
/* =================================================================================== */
/* =================================================================================== */
#wk-pagina-checkout .woocommerce-checkout-payment {
    background-color: transparent;
}
#wk-pagina-checkout .woocommerce-error {
    background-color: var(--wk-seccion-tienda2-fondo) !important; 
    color: var(--wk-seccion-tienda1-texto) !important; 
}

#wk-pagina-checkout form.checkout_coupon {
    border-color: var(--wk-seccion-tienda2-fondo) !important; 
}

#wk-pagina-checkout .woocommerce-checkout-review-order-table {
    border-color: var(--wk-seccion-tienda2-fondo) !important; 
}

#wk-pagina-checkout .woocommerce-checkout-review-order-table .cart-subtotal td {
    border-top-color: var(--wk-seccion-tienda2-fondo) !important; 
}      

/* =================================================================================== */
/* =================================================================================== */
/* PAGINA MI CUENTA */
/* =================================================================================== */
/* =================================================================================== */

#wk-pagina-mi-cuenta .woocommerce-error {
    background-color: var(--wk-seccion-tienda2-fondo) !important; 
    color: var(--wk-seccion-tienda1-texto) !important; 
}

/* =================================================================================== */
/* =================================================================================== */
/* 006 shortcode categorias para la páginas de arhivo tienda */
/* =================================================================================== */
/* =================================================================================== */

.wk-categorias-tienda {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.wk-categorias-tienda ul {
    list-style: none;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0;
}

.wk-categorias-tienda li {
    text-align: center;
    margin: 10px;
    border: 1px solid #ddd;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    min-width: 150px;
    max-width: 150px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.wk-categorias-tienda img {
    max-width: 100%;
    height: auto;
    display: block;
    margin-bottom: 5px;
}

.wk-categorias-tienda a span {
    padding-left: 0.3rem;
    padding-right: 0.3rem;
}

/* =================================================================================== */
/* =================================================================================== */
/* 002: shortcode mini carrito */
/* =================================================================================== */
/* =================================================================================== */

#wk-custom-cart-icon {
    position: relative;
    min-width: 90px;
    --wk-minicart-color-texto: #020206;
    --wk-minicart-color-importe: #020206;
    --wk-minicart-color-carrito: #020206;
    --wk-minicart-color-globo: #E8B431;
    --wk-minicart-color-enlace: #111316;
}

/* contenedor superior */
#wk-custom-cart-icon .cart-contents {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    cursor: pointer;
    padding-right: 0.2rem;
    font-family: "Open Sans",Arial,sans-serif !important;
}

/* dinero */
#wk-custom-cart-icon .cart-total-amount {
    color: var(--wk-minicart-color-importe);
    font-size: 12px;
}

/* imagen carrito */
#wk-custom-cart-icon .cart-icon-image {
    width: 20px;
    height: 20px;
    margin-left: 0.5em;
    margin-right: 1em;
}

#wk-custom-cart-icon .cart-icon-image svg {
    color: var(--wk-minicart-color-carrito);
}

/* contador */
#wk-custom-cart-icon .cart-contents-count {
    background-color: var(--wk-minicart-color-globo);
    color: var(--wk-minicart-color-importe);
    border-radius: 50%;
    width: 2em;
    height: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.01em;
    font-size: 0.6em;
    line-height: 0;
    position: absolute;
    right: 1em;
    bottom: -0.2em;
}

/* desplegable */
#wk-custom-cart-icon .custom-cart-dropdown {
    display: none !important;
    position: absolute !important;
    right: 0 !important;
    top: 100% !important;
    background: white !important;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1) !important;
    z-index: 1000 !important;
    width: 300px !important;
    padding: 1em !important;
    font-family: "Open Sans",Arial,sans-serif !important;
    font-size: 13px !important;
    color: var(--wk-minicart-color-texto) !important;
}

#wk-custom-cart-icon.open .custom-cart-dropdown {
    display: block !important;
}

/* desplegable: lista productos */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget {
    list-style: none !important;
    padding: 0 !important;
    margin: 0 !important;
    line-height: 20px !important;
}

/* desplegable: producto */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li {
    display: flex !important;
    margin-bottom: 12px !important;
}

/* desplegable: X borrar */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove {
    color: red !important;
    display: block !important;
    font-size: 16px !important;
    height: 18px !important;
    width: 18px !important;
    text-align: center !important;
    line-height: 1 !important;
    border-radius: 100% !important;
    text-decoration: none !important;
    font-weight: 700 !important;
    border: 0 !important;   
    animation: none !important;
}

/* desplegable: X borrar hover*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .remove:hover {
    color: white !important;
    background-color: red;
    border-radius: 50%;
    animation: none !important;
}

/* desplegable: imagen y texto producto*/
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li a:nth-child(2) {
    margin-right: auto !important;
    font-weight: normal !important;
    display: flex !important;
    color: var(--wk-minicart-color-enlace) !important;
}

/* desplegable: imagen */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li img {
    max-width: 50px !important;
    max-height: 50px !important;
    margin-right: 6px !important;
    float: none !important;
    width: 50px !important;
    vertical-align: top !important;
    margin-left: 4px !important;
}

/* desplegable: cantidad x precio */
#wk-custom-cart-icon .custom-cart-dropdown ul.product_list_widget li .quantity {
    width: auto !important;
}

/* desplegable: fila total productos */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__total {
    border-top: 1px solid #ccc !important;
    padding-top: 1em !important;
    margin-top: 1em !important;
    text-align: right !important;
}

/* desplegable: botones contendor */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons {
    display: flex !important;
    justify-content: space-between !important;
    margin-top: 1em !important;
}

/* desplegable: botones */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a {
    flex: 1 !important;
    margin-right: 0.5em !important;
    text-align: center !important;
    padding: 0.5rem !important;
    border: 1px solid var(--wk-minicart-color-enlace) !important;
    font-size: 13px !important;
    color: var(--wk-minicart-color-enlace) !important;
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover {
    padding: 0.5rem !important;
    background-color: #f3f3f3 !important;
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a::after {
    content: none !important;
}

#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:hover::after {
    content: none !important;
}

/* desplegable: boton 2 */
#wk-custom-cart-icon .custom-cart-dropdown .woocommerce-mini-cart__buttons a:last-child {
    margin-right: 0 !important;
}